---
title: Window.onpaint
slug: Web/API/Window/onpaint
tags:
  - API
  - Event Handler
  - HTML DOM
  - Non-standard
  - Property
---
<div>{{ ApiRef() }} {{Non-standard_header}}</div>

<p><code><strong>Window.onpaint</strong></code> is an event handler for the <code>paint</code> event on the window.</p>

<div class="notecard warning">
<p>Not working in Gecko-based applications currently, see Notes section!</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">window.onpaint = <em>funcRef</em>;
</pre>

<ul>
 <li><code>funcRef</code> is a handler function.</li>
</ul>

<h2 id="Notes">Notes</h2>

<p><code>onpaint</code> doesn't work currently, and it is questionable whether this event is going to work at all, see {{ Bug(239074) }}.</p>

<p>The <code>paint</code> event is raised when the window is rendered. This event occurs after the {{Event("load")}} event for a window, and reoccurs each time the window needs to be re-rendered, such as when another window obscures it and is then cleared away.</p>

<h2 id="Specifications">Specifications</h2>

<p>This is not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.onpaint")}}</p>
